### Function

# EDataServer time_format_time

#### Declaration [src]

    void
    e_time_format_time (
      tm* date_tm,
      gboolean use_24_hour_format,
      gboolean show_zero_seconds,
      gchar* buffer,
      gint buffer_size
    )

#### Description [src]

Creates a string representation of a time value in `date_tm` and stores it in `buffer`. `buffer_size` should be at least 64.

#### Parameters

`date_tm`

  Type: `tm*`

  The #tm to convert to a string.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`use_24_hour_format`

  Type: `gboolean`

  A #gboolean.

`show_zero_seconds`

  Type: `gboolean`

  A #gboolean.

`buffer`

  Type: `gchar*`

  The #char buffer to store the result in.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`buffer_size`

  Type: `gint`

  The length of `buffer`.